package com.qls.ali.biz.data.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.ali.model.vo.OpOurRateplanVo;
import com.qls.core.entity.OpOurRateplan;
import com.qls.core.entity.OpOurRateplanPrice;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yunchao
 */
@Mapper
public interface OpOurRateplanDao extends BaseMapper<OpOurRateplan> {

    List<OpOurRateplanVo> getRatePlanPrice(@Param("storeId") int storeId, @Param("upHtlId") Long upHtlId);

    OpOurRateplanPrice getRatePlanPriceByOurRpId(Integer id);

    /**
     * 根据主键更新推送成功rp的数量
     *
     * @param num Integer
     * @param id  Integer
     */
    void addCountById(@Param("num") Integer num, @Param("id") Integer id);
}