package com.qls.ali.biz.data.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qls.core.entity.HtHotel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

/**
 * @author doyoung
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
@TableName("ht_hotel")
public class HtHotelVO extends HtHotel {

    /**
     * 物理房型
     */
    @TableField(exist = false)
    private List<HtRoomTypeVO> htRoomTypes;

}
