package com.qls.ali.biz.order.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.DtStore;
import org.apache.ibatis.annotations.Mapper;

/**
 * 分销商店铺
 *
 * @author doyoung
 */
@Mapper
public interface DtStoreDao extends BaseMapper<DtStore> {

    DtStore sqlSelectByOrderId(Long orderId);

    DtStore sqlSelectByUserName(String userName);

    DtStore sqlSelectByXcBuyOrderId(String buyOrderId);
}
