package com.qls.ali.biz.order.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.OpGroup;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * @author doyoung
 */
@Mapper
public interface OpGroupDao extends BaseMapper<OpGroup> {

    /**
     * 根据酒店编码 和 店铺用户名查询分组的直连状态
     *
     * @param username  String
     * @param hotelCode Long
     * @return Integer
     */
    Integer getIsDirectByHotelCodeAndUsername(@Param("username") String username, @Param("hotelCode") Long hotelCode);

}
