package com.qls.ali.biz.order.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @author doyoung
 */
@Data
@TableName("ord_credit_card_info")
public class CreditCardInfoEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 订单编号
     */
    private Long orderCode;
    /**
     * 信用卡类型;VISA,MASTERCARD,AMEX
     */
    private String code;
    /**
     * 持卡人
     */
    private String holderName;
    /**
     * 格式: 月/年，例如：07/19
     */
    private String expiDate;
    /**
     * 信用卡卡号
     */
    private String cardNum;
    /**
     * 信用卡ccv号
     */
    private String cvvCode;

}
