package com.qls.ali.biz.order.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 订单日历
 *
 * @author kemmy
 * @email kemmy@gmail.com
 * @date 2020-12-03 11:41:02
 */
@Data
@TableName("ord_daily_info")
public class DailyInfoEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 订单编号
     */
    private Long orderCode;
    /**
     * 日期
     */
    private Date date;
    /**
     *
     */
    private Long price;
    /**
     * 早餐数量
     */
    private Integer breakfastNum;

}
