package com.qls.ali.biz.order.service.mybatis.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.ali.biz.order.dao.DtStoreDao;
import com.qls.ali.biz.order.service.mybatis.DtStoreService;
import com.qls.core.entity.DtStore;
import org.springframework.stereotype.Service;


/**
 * @author doyoung
 */
@Service("dtStoreService")
public class DtStoreServiceImpl extends ServiceImpl<DtStoreDao, DtStore> implements DtStoreService {


    @Override
    public DtStore sqlSelectByOrderId(Long orderId) {
        return baseMapper.sqlSelectByOrderId(orderId);
    }

    @Override
    public DtStore sqlSelectByUserName(String userName) {
        return baseMapper.sqlSelectByUserName(userName);
    }

    @Override
    public DtStore sqlSelectByXcBuyOrderId(String buyOrderId) {
        return baseMapper.sqlSelectByXcBuyOrderId(buyOrderId);
    }

}