package com.qls.ali.biz.order.service.mybatis.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.ali.biz.order.dao.OrderDao;
import com.qls.ali.biz.order.entity.OrderEntity;
import com.qls.ali.biz.order.service.mybatis.OrderService;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * @author doyoung
 */
@Service("orderService")
public class OrderServiceImpl extends ServiceImpl<OrderDao, OrderEntity> implements OrderService {

    @Override
    public Integer sqlUpdateOrderStatus(Map<String, Object> params) {
        return baseMapper.sqlUpdateOrderStatus(params);
    }

    @Override
    public OrderEntity sqlSelectByBuyOrdId(Long buyOrdId, Integer channel) {
        return baseMapper.sqlSelectByBuyOrdId(buyOrdId, channel);
    }

    @Override
    public OrderEntity sqlSelectByOrderCode(Long orderCode) {

        return baseMapper.sqlSelectByOrderCode(orderCode);
    }

    @Override
    public void updateOnlyOrderStatus(Map<String, Object> params) {
        baseMapper.updateOnlyOrderStatus(params);
    }

}