package com.qls.ali.biz.service.mybatis;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qls.core.entity.HtSellRoom;

import java.util.List;

/**
 * @author doyoung
 */
public interface HtSellRoomService extends IService<HtSellRoom> {

    /**
     * 根据酒店查询酒店下的所有rpCode编码
     *
     * @param hotelCode Long
     * @return List<Long>
     */
    List<Long> getRpCodesByHotelCode(Long hotelCode);

}
