package com.qls.ali.biz.service.mybatis.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.ali.biz.data.dao.OpHtlGroupDao;
import com.qls.ali.biz.service.mybatis.OpHtlGroupService;
import com.qls.core.entity.OpHtlGroup;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @author doyoung
 */
@Service
public class OpHtlGroupServiceImpl extends ServiceImpl<OpHtlGroupDao, OpHtlGroup> implements OpHtlGroupService {


    @Override
    public void delByHotelIdAndStoreId(Integer storeId, Long hotelCode) {
        baseMapper.delByHotelIdAndStoreId(storeId, hotelCode);
    }

    @Override
    public void updateIsUpByHotelIdAndStoreId(Integer isUp, Long hotelId, Integer storeId) {
        baseMapper.updateIsUpByHotelIdAndStoreId(isUp, hotelId, storeId);
    }

    @Override
    public Integer getIsUpByStoreIdAndHotelId(Integer storeId, Long hotelId) {
        return baseMapper.getIsUpByStoreIdAndHotelId(storeId, hotelId);
    }
    @Override
    public List<Integer> getStoreIdByHotelId(Long hotelId, Integer partnerId) {
        return baseMapper.getStoreIdByHotelId(hotelId, partnerId);
    }
}
