package com.qls.ali.model.dto.hotel.response;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author doyoung
 */
@Data
public class S_hotel implements Serializable {
    private Long shid;
    private String name;
    private String used_name;
    private Integer domestic;
    private String country;
    private Integer province;
    private Integer city;
    private Integer district;
    private String address;
    private String level;
    private String business;
    private Long position_type;
    private String longitude;
    private String latitude;
    private String tel;
    private String fax;
    private String opening_time;
    private String decorate_time;
    private String storeys;
    private Integer rooms;
    private String desc;
    private String service;
    private String pic_url;
    private String extend;
    /**
     * 状态:0：待系统匹配1：已系统匹配，匹配成功，待卖家确认2：已系统匹配，匹配失败，待人工匹配
     * 3：已人工匹配，匹配成功，待卖家确认
     * 4：已人工匹配，匹配失败5：卖家已确认，确认“YES”6：卖家已确认，确认“NO”7：停售
     */
    private Integer status;
    private Date created_time;
    private Date modified_time;
    private String brand;
    private String type;
    private String hotel_facilities;
    private String room_facilities;
    private String city_tag;
    private String postal_code;
    private String fee;
    private Long srid;
    private String pics;
    private String area;
    private String facility;
    private String floor;
    private Integer max_occupancy;
    private Integer add_bed;
    private String bed;
    private Date gmt_create;
    private String network_service;
    private Date gmt_modified;
    private String window_type;
    private String name_e;
    private Integer is_kezhan;
}