package com.qls.core.ali.order.bookrq.request;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

/**
 * @author doyoung
 */
@XStreamAlias("InvoiceInfo")
@Data
public class InvoiceInfo {
    @XStreamAlias("NeedInvoice")
    private String needInvoice;
    @XStreamAlias("EarllyPrepare")
    private String earllyPrepare;
    @XStreamAlias("SubmitTime")
    private String submitTime;
    @XStreamAlias("WantTime")
    private String wantTime;
    @XStreamAlias("PostType")
    private String postType;
    @XStreamAlias("InvoiceType")
    private String invoiceType;
    @XStreamAlias("Comment")
    private String comment;
    @XStreamAlias("InvoiceTitle")
    private String invoiceTitle;
    @XStreamAlias("CompanyTel")
    private String companyTel;
    @XStreamAlias("CompanyTax")
    private String companyTax;
    @XStreamAlias("RegisterAddress")
    private String registerAddress;
    @XStreamAlias("Bank")
    private String bank;
    @XStreamAlias("BankAccount")
    private String bankAccount;
    @XStreamAlias("ReceiverAddress")
    private String receiverAddress;
    @XStreamAlias("ReceiverName")
    private String receiverName;
    @XStreamAlias("ReceiverMobile")
    private String receiverMobile;
}
