package com.qls.core.ali.order.paysuccessrq.request;

import com.qls.core.ali.order.common.AuthenticationToken;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

/**
 * @author doyoung
 */
@Data
@XStreamAlias("PaySuccessRQ")
public class PaySuccess {
    @XStreamAlias("AuthenticationToken")
    private AuthenticationToken authenticationToken;
    @XStreamAlias("OrderId")
    private Long orderId;
    @XStreamAlias("TaoBaoOrderId")
    private Long taoBaoOrderId;
    @XStreamAlias("AlipayTradeNo")
    private String alipayTradeNo;
    @XStreamAlias("Payment")
    private Integer payment;
}
