package com.qls.core.ali.order.querystatusrq.request;

import com.qls.core.ali.order.common.AuthenticationToken;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

/**
 * @author doyoung
 */
@Data
@XStreamAlias("QueryStatusRQ")
public class QueryStatusRqRequest {
    @XStreamAlias("AuthenticationToken")
    private AuthenticationToken authenticationToken;
    @XStreamAlias("OrderId")
    private String orderId;
    @XStreamAlias("TaoBaoOrderId")
    private String taoBaoOrderId;
    @XStreamAlias("HotelId")
    private String hotelId;
    @XStreamAlias("QueryType")
    private String queryType;
    @XStreamAlias("Supplier")
    private String supplier;
}
