package com.qls.core.ali.order.validaterq.request;

import com.qls.core.ali.order.common.AuthenticationToken;
import com.qls.core.ali.order.common.DailyInfo;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author doyoung
 */
@Data
@XStreamAlias("ValidateRQ")
public class ValidateRq implements Serializable {
    private static final long serialVersionUID = 1L;
    @XStreamAlias("AuthenticationToken")
    private AuthenticationToken authenticationToken;
    @XStreamAlias("TaoBaoHotelId")
    private String taoBaoHotelId;
    @XStreamAlias("HotelId")
    private String hotelId;
    @XStreamAlias("TaoBaoRoomTypeId")
    private String taoBaoRoomTypeId;
    @XStreamAlias("RoomTypeId")
    private String roomTypeId;
    @XStreamAlias("TaoBaoRatePlanId")
    private String taoBaoRatePlanId;
    @XStreamAlias("RatePlanCode")
    private String ratePlanCode;
    @XStreamAlias("TaoBaoGid")
    private String taoBaoGid;
    @XStreamAlias("CheckIn")
    private String checkIn;
    @XStreamAlias("CheckOut")
    private String checkOut;
    @XStreamAlias("RoomNum")
    private String roomNum;
    @XStreamAlias("CustomerNumber")
    private String customerNumber;
    @XStreamAlias("PaymentType")
    private String paymentType;
    @XStreamAlias("Extensions")
    private String extensions;
    @XStreamAlias("Supplier")
    private String supplier;
    @XStreamAlias("TotalPrice")
    private String totalPrice;
    @XStreamAlias("DailyInfos")
    private List<DailyInfo> dailyInfos;
    @XStreamAlias("CurrencyCode")
    private String currencyCode;
}
