package com.qls.core.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.List;


@Data
public class ProductChangeMQ implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 产品id
     */
    private Long goodsId;

    /**
     * 产品变化类型
     */
    private List<Integer> changeTypes;

    /**
     * 产品变化开始时间
     */
    private String changeStart;

    /**
     * 产品变化结束时间
     */
    private String changeEnd;

    /**
     * 产品推送的店铺
     */
    private List<Integer> storeIds;

    /**
     * 渠道编码
     */
    private Integer partnerId;

}
