package com.qls.core.dto;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author doyoung
 */
@Data
@ToString
public class PushHotelBody implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 酒店id
     */
    private Long hotelId;
    /**
     * 任务id
     */
    private Integer taskId;
    /**
     * 店铺id
     */
    private Integer storeId;
    /**
     * 执行任务类型 1，全量推送 2，只推送酒店 -1全量删除 -2只删除酒店
     */
    private Integer type;
}
