package com.qls.core.entity;


import lombok.Data;

import java.io.Serializable;


/**
 * @author doyoung
 */
@Data
public class HtCity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Integer id;
    /**
     * 城市ID
     */
    private Integer cityCode;
    /**
     * 城市名称
     */
    private String cityNameZh;
    /**
     * 城市名称英文
     */
    private String cityNameEn;
    /**
     * 上一级城市id
     */
    private Integer parentCityCode;
    /**
     * 层级
     */
    private Integer tier;

}
