package com.qls.core.entity;


import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author doyoung
 */
@Data
public class HtSellRoom implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Long id;
    /**
     * 逻辑房型编码
     */
    private Long rpCode;
    /**
     *
     */
    private Long hotelCode;
    /**
     * 物理房型编码
     */
    private Long roomCode;
    /**
     *
     */
    private String rpName;
    /**
     * 是否需要用户真实手机号
     */
    private Integer isPhone;
    /**
     * 早餐个数
     */
    private Integer breakfastNum;
    /**
     * 支付类型
     * 支付类型，只支持：1：预付5：现付6: 信用住7:在线预约8:在线预约信用住。其中5,6,7,8三种类型需要申请权限
     */
    private Integer paymentType;
    /**
     * 最小连住
     */
    private Integer minDays;
    /**
     * 最大连住
     */
    private Integer maxDays;
    /**
     * 最小提前预定(小时)
     */
    private Integer minHours;
    /**
     * 最大提前预定(小时)
     */
    private Integer maxHours;
    /**
     * 有效期开始
     */
    private Date startDate;
    /**
     * 有效期结束
     */
    private Date endDate;
    /**
     * 每天生效时间
     */
    private String startTime;
    /**
     * 每天失效时间
     */
    private String endTime;
    /**
     * 退订政策
     */
    private String cancelPolicy;
    /**
     *
     */
    private String breakfastCal;
    /**
     *
     */
    private String cancelPolicyCal;
    /**
     * 状态
     */
    private Integer rpStatus;

}
