package com.qls.core.entity;


import lombok.Data;

import java.io.Serializable;

/**
 * @author doyoung
 */
@Data
public class OrdMemberInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;
    /**
     * 订单编号
     */
    private Long orderCode;
    /**
     * 姓名
     */
    private String name;
    /**
     * 编号
     */
    private String num;
    /**
     * 商家会员号
     */
    private String outNum;
    /**
     * 电话号码
     */
    private String phone;
    /**
     * 电子邮件
     */
    private String email;
    /**
     * 等级
     */
    private String level;
    /**
     * 商家会员等级
     */
    private String outLevel;
    /**
     * 证件编码
     */
    private String idCard;
    /**
     * 预订人会员名
     */
    private String bookerName;
    /**
     * 预订人会员编码
     */
    private String bookerNum;
    /**
     * 预订人商家会员号
     */
    private String bookerOutNum;
    /**
     * 预订人电话号码
     */
    private String bookerPhone;
    /**
     * 预订人电子邮件
     */
    private String bookerEmail;
    /**
     * 预订人等级
     */
    private String bookerLevel;
    /**
     * 预订人商家会员等级
     */
    private String bookerOutLevel;

}
