package com.qls.lock.constant;


/**
 * @author doyoung
 * @Description: 全局常量枚举 用来拼接完整的URL
 */
public enum GlobalConstant {
    /**
     * Redis地址配置前缀
     */
    REDIS_CONNECTION_PREFIX("redis://", "Redis地址配置前缀");

    private final String constantValue;
    private final String constantDesc;

    GlobalConstant(String constantValue, String constantDesc) {
        this.constantValue = constantValue;
        this.constantDesc = constantDesc;
    }

    public String getConstantValue() {
        return constantValue;
    }

    public String getConstantDesc() {
        return constantDesc;
    }
}
