package com.qls.consumer.biz.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.qls.core.entity.OpTaskStatus;

import java.util.Date;

/**
 * @author doyoung
 */
public interface OpTaskStatusService extends IService<OpTaskStatus> {

    /**
     * 任务结束更新时间
     *
     * @param taskCode Integer
     * @param endTime  Date
     */
    void updateByTaskCode(Integer taskCode, Date endTime);

    /**
     * 任务执行的数量
     *
     * @param taskCode Integer
     * @param num      Integer
     */
    void completedAdd(Integer taskCode, Integer num);


}
