package com.qls.mt.biz;

import com.qls.feign.EnableQLSFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * @author doyoung
 */
@EnableDiscoveryClient
@SpringBootApplication
@EnableAsync
@EnableQLSFeignClients
public class MtApplication {
    public static void main(String[] args) {
        SpringApplication.run(MtApplication.class, args);
    }
}
