package com.qls.mt.biz.common.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.DtOrderChannels;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 采购渠道
 *
 * @author doyoung
 */
@Mapper
public interface DtOrderChannelsDao extends BaseMapper<DtOrderChannels> {

    List<DtOrderChannels> getByPriority();

    DtOrderChannels queryByHotelId(Long hotelId);

    DtOrderChannels getByPartnerId(Integer partnerId);
}
