package com.qls.mt.biz.common.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.DtOrderChannels;
import com.qls.mt.biz.common.dao.DtOrderChannelsDao;
import com.qls.mt.biz.common.service.DtOrderChannelsService;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @author doyoung
 */
@Service
public class DtOrderChannelsServiceImpl extends ServiceImpl<DtOrderChannelsDao, DtOrderChannels> implements DtOrderChannelsService {

    @Override
    public List<DtOrderChannels> getByPriority() {
        return baseMapper.getByPriority();
    }

    @Override
    public DtOrderChannels queryByHotelId(Long hotelId) {
        return baseMapper.queryByHotelId(hotelId);
    }

    @Override
    public DtOrderChannels getByPartnerId(Integer partnerId) {
        return baseMapper.getByPartnerId(partnerId);
    }
}