package com.qls.mt.biz.common.utils;

import lombok.Data;

import java.io.Serializable;

/**
 * @author doyoung
 */
@Data
public class MtResponse implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer code;

    private String message;

    public static MtResponse ok() {
        MtResponse mtResponse = new MtResponse();
        mtResponse.setCode(0);
        mtResponse.setMessage("成功");
        return mtResponse;
    }

    public static MtResponse error() {
        MtResponse mtResponse = new MtResponse();
        mtResponse.setCode(1);
        mtResponse.setMessage("解析异常");
        return mtResponse;
    }

}
