package com.qls.mt.biz.data.pojo.hotel;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class ExtendInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Map<Integer, String> hotelFacilities;    //Map<Integer, String>	否	酒店设施，key表示酒店设施ID（ID对应设施参看酒店设施），value="0"表示不提供该设施；value="1"表示提供该设施。
    private Map<Integer, String> hotelService;    //Map<Integer, String>	//否	酒店服务，key表示酒店服务ID（ID对应服务参看酒店服务），value="0"表示不提供该服务；value="1"表示提供该服务。
    private PoiExtInfo poiExtInfo;    //PoiExtInfo	//是	酒店门店扩展信息。
}
