package com.qls.mt.biz.data.pojo.hotel;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class PoiImage implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer typeId;  //	Integer	是	图片类型, 1:环境，9：客房，19：配套设施，32：大厅，34：外观，10：其他
    private String typeName; //	String	是	图片类型名称，如"客房"、"外观"、"公共设施"、"大厅"、"其他"等。
    private String imgDesc;  //	String	否	图片描述。
    private String url;      //	String	是	图片URL地址。
    private Integer roomId;  //	Integer	否	typeId=9时非空，标示本图片对应的房型ID
}
