package com.qls.mt.biz.data.pojo.room;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RoomWindow implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer hasWindow; //房间窗户情况：0 有窗 1 部分有窗 2 无窗
    private String description; //窗景描述
    private String disadvantage; //窗户不利因素，可能有多个，多个不利因素以逗号分隔： 0 朝向走廊； 1 装饰性假窗； 2 天窗； 3 窗户较小； 4 窗外是墙体； 5 有窗但不能打开通风； 6 飘窗； 7 窗户位于走廊或过道； 8 窗户可打开通风，且窗外是开放的户外环境；
}