package com.qls.mt.biz.data.pojo.rp;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@NoArgsConstructor
@AllArgsConstructor
@Data
public class BookRules implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer serialCheckinMin;
    private Integer serialCheckinMax;
    private Integer roomCountMin;
    private Integer roomCountMax;
    private Integer earliestBookingDays;
    private String earliestBookingHours;
    private Integer latestBookingDays;
    private String latestBookingHours;
    private Integer isDaybreakBooking;
    private Integer inStartDate;
    private Integer inEndDate;
}
