package com.qls.mt.module;

import com.qls.core.dto.HtDailyRoom;
import lombok.Data;

import java.util.List;

/**
 * 预定
 *
 * @author doyoung
 */
@Data
public class BookBody {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 酒店id
     */
    private String hotelId;

    /**
     * 价格政策编码 （售卖房型编码）
     */
    private String rpCode;

    /**
     * 入住人姓名
     */
    private List<String> personNames;

    /**
     * 联系人
     */
    private String linkmanName;

    /**
     * 联系人邮箱
     */
    private String email;

    /**
     * 联系人电话
     */
    private String phone;

    /**
     * 预定房间数
     */
    private Integer roomNum;

    /**
     * 最晚到店时间
     */
    private String latestArriveTime;

    /**
     * 最早到店时间
     */
    private String earliestArriveTime;

    /**
     * 入住日期
     */
    private String checkIn;

    /**
     * 离店日期
     */
    private String checkOut;

    /**
     * 入住人数
     */
    private Integer occupancy;

    /**
     * 缓存价格日历
     */
    private List<HtDailyRoom> dailyroomEntities;

}
