package com.qls.mt.module.callback;

import java.util.List;

/**
 * 产品变更消息体
 * @author doyoung
 */
public class ProductChangeMessage {

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 入住时间
     */
    private String checkInDate;

    /**
     * 离店时间
     */
    private String checkOutDate;

    /**
     * 变化类型
     */
    private List<Integer> changeTypes;

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public String getCheckInDate() {
        return checkInDate;
    }

    public void setCheckInDate(String checkInDate) {
        this.checkInDate = checkInDate;
    }

    public String getCheckOutDate() {
        return checkOutDate;
    }

    public void setCheckOutDate(String checkOutDate) {
        this.checkOutDate = checkOutDate;
    }

    public List<Integer> getChangeTypes() {
        return changeTypes;
    }

    public void setChangeTypes(List<Integer> changeTypes) {
        this.changeTypes = changeTypes;
    }

    @Override
    public String toString() {
        return "ProductChangeMessage{" +
                "productId=" + productId +
                ", checkInDate='" + checkInDate + '\'' +
                ", checkOutDate='" + checkOutDate + '\'' +
                ", changeTypes=" + changeTypes +
                '}';
    }
}
