package com.qls.web.common.utils;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.converters.longconverter.LongStringConverter;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

public class EasyExcelUtils {

    public static void download(HttpServletResponse response, Class<?> t, List<?> list) throws IOException {
        response.setContentType("application/vnd.ms-excel");// 设置文本内省
        response.setCharacterEncoding("utf-8");// 设置字符编码
        response.setHeader("Content-disposition", "attachment;filename=order.xlsx"); // 设置响应头
        EasyExcel.write(response.getOutputStream(), t).registerConverter(new LongStringConverter()).sheet("订单").doWrite(list); //用io流来写入数据
    }

}
