package com.qls.web.modules.dt.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.DtDt;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.dt.dao.DtDao;
import com.qls.web.modules.dt.service.DtService;
import com.qls.web.modules.vo.DtVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * @author doyoung
 */
@Service("dtService")
public class DtServiceImpl extends ServiceImpl<DtDao, DtDt> implements DtService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DtVO> page = new Query<DtVO>().getPage(params);
        List<DtVO> list = baseMapper.sqlQueryDt(params);
        return new PageUtils(page, list);
    }


}