package com.qls.web.modules.dt.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.DtStorePf;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.dt.dao.StorePfDao;
import com.qls.web.modules.dt.service.StorePfService;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * @author doyoung
 */
@Service("storePfService")
public class StorePfServiceImpl extends ServiceImpl<StorePfDao, DtStorePf> implements StorePfService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<DtStorePf> page = this.page(
                new Query<DtStorePf>().getPage(params),
                new QueryWrapper<DtStorePf>()
        );

        return new PageUtils(page);
    }

}