package com.qls.web.modules.ht.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qls.core.entity.HtSellRoom;
import com.qls.web.common.utils.PageUtils;

import java.util.List;
import java.util.Map;

/**
 * @author yj
 * @email yj@gmail.com
 * @date 2021-08-25 10:50:46
 */
public interface HtLogicRoomService extends IService<HtSellRoom> {

    List<Long> getRpCodesByName(String name);

    PageUtils queryPage(Map<String, Object> params);

    List<HtSellRoom> getByHotelId(Long hotelId);

    /**
     * 根据分组id查询分组下酒店的所有rp
     *
     * @param id Integer
     * @return List<Long>
     */
    List<Long> queryRpCodesByGroup(Integer id);
}

