package com.qls.web.modules.op.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qls.core.entity.OpGroup;
import com.qls.web.common.utils.PageUtils;

import java.util.List;
import java.util.Map;

/**
 * 分组
 *
 * @author yj
 * @email yj@gmail.com
 * @date 2021-08-31 10:42:11
 */
public interface GroupService extends IService<OpGroup> {

    /**
     * 主键查询
     *
     * @param id Integer
     * @return GroupDao
     */
    OpGroup queryStoreIdById(Integer id);

    PageUtils sqlQueryPage(Map<String, Object> params);

    OpGroup getAll();

    List<OpGroup> querygpByStoreId(Map<String, Object> params);

    List<OpGroup> sqlQuery(Map<String, Object> params);
}

