package com.qls.web.modules.op.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.OpOurRateplanPrice;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.op.dao.OpOurRateplanPriceDao;
import com.qls.web.modules.op.service.OpOurRateplanPriceService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * @author doyoung
 */
@Service("ourRateplanPriceService")
public class OpOurRateplanPriceServiceImpl extends ServiceImpl<OpOurRateplanPriceDao, OpOurRateplanPrice> implements OpOurRateplanPriceService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<OpOurRateplanPrice> page = this.page(
                new Query<OpOurRateplanPrice>().getPage(params),
                new QueryWrapper<OpOurRateplanPrice>()
        );

        return new PageUtils(page);
    }

    @Override
    public List<OpOurRateplanPrice> getAllById(Integer id) {
        return baseMapper.getAllById(id);
    }

    @Override
    public void delByOurRpIds(List<Integer> list) {
        baseMapper.delByOurRpIds(list);
    }
}