package com.qls.web.modules.ord.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.qls.core.entity.OrdOrder;
import com.qls.web.modules.ord.entity.OrdOrderVO;
import com.qls.web.modules.ord.entity.orderReportFormVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author doyoung
 */
@Mapper
public interface OrdOrderDao extends BaseMapper<OrdOrder> {

    List<OrdOrderVO> sqlQuryPage(IPage<OrdOrderVO> page, @Param("dtIds") List<Integer> dtIds, @Param("startTime") String startTime, @Param("endTime") String endTime, @Param("ordCode") String ordCode, @Param("phone") String phone);

    List<OrdOrderVO> getList(@Param("dtId") String dtId, @Param("startTime") String startTime, @Param("endTime") String endTime);

    /**
     * 父子id
     *
     * @param dtId Integer
     * @return List<Integer>
     */
    List<Integer> getChild(Integer dtId);

    List<orderReportFormVO> orderReportlist(IPage<orderReportFormVO> page, @Param("startTime") String startTime, @Param("endTime") String endTime,
                                            @Param("orderCode") String orderCode, @Param("groupName") String groupName,
                                            @Param("hotelName") String hotelName, @Param("city") String city,@Param("orderStatus") List<String> orderStatus, @Param("buyStatus") List<String> buyStatus);
}
