package com.qls.web.modules.ord.entity;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.qls.core.entity.OrdOrder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author doyoung
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString
public class OrdOrderVO extends OrdOrder implements Serializable {
    private static final long serialVersionUID = 1L;
    @ExcelProperty(value = "商家酒店ID",index = 0)
    @ColumnWidth(40)
    private String hotelName;

    @ExcelIgnore
    private String roomName;

    @ExcelIgnore
    private String rpName;

    @ExcelIgnore
    private String username;

    @ExcelProperty(value = "分销商名称",index = 1)
    @ColumnWidth(20)
    private String pfName;

    @ExcelProperty(value = "所属店铺",index = 2)
    private String stName;
}
