package com.qls.web.modules.ord.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.OrdDailyDisInfo;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.ord.dao.OrdDailyDisInfoDao;
import com.qls.web.modules.ord.service.OrdDailyDisInfoService;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * @author doyoung
 */
@Service("ordDailyDisInfoService")
public class OrdDailyDisInfoServiceImpl extends ServiceImpl<OrdDailyDisInfoDao, OrdDailyDisInfo> implements OrdDailyDisInfoService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<OrdDailyDisInfo> page = this.page(
                new Query<OrdDailyDisInfo>().getPage(params),
                new QueryWrapper<OrdDailyDisInfo>()
        );

        return new PageUtils(page);
    }

}