package com.qls.web.modules.ord.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.OrdDailyInfo;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.ord.dao.OrdDailyInfoDao;
import com.qls.web.modules.ord.service.OrdDailyInfoService;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * @author doyoung
 */
@Service("ordDailyInfoService")
public class OrdDailyInfoServiceImpl extends ServiceImpl<OrdDailyInfoDao, OrdDailyInfo> implements OrdDailyInfoService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<OrdDailyInfo> page = this.page(
                new Query<OrdDailyInfo>().getPage(params),
                new QueryWrapper<OrdDailyInfo>()
        );

        return new PageUtils(page);
    }

}