package com.qls.web.modules.ord.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.OrdGuest;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.ord.dao.OrdGuestDao;
import com.qls.web.modules.ord.service.OrdGuestService;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * @author doyoung
 */
@Service("ordGuestService")
public class OrdGuestServiceImpl extends ServiceImpl<OrdGuestDao, OrdGuest> implements OrdGuestService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<OrdGuest> page = this.page(
                new Query<OrdGuest>().getPage(params),
                new QueryWrapper<OrdGuest>()
        );

        return new PageUtils(page);
    }

    @Override
    public List<OrdGuest> getByOrderCode(Long orderCode) {
        return baseMapper.getByOrderCode(orderCode);
    }

}