package com.qls.web.modules.sys.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class DetailInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    private String openDate; //开业时间，格式为yyyy/MM或yyyy/MM/dd
    private String decorationDate; //装修时间，格式为yyyy/MM或yyyy/MM/dd
    private String openHours; //酒店填写的营业时间，无固定格式，可能是12小时制或24小时制
    private String description; //描述信息

    private List<HotelThemes> themes; //酒店主题
    private List<HotelTypes> types; //酒店类型
    private List<HotelRatings> ratings; //酒店评分，目前只有平均评分
    private List<HotelStatics> statics; //酒店统计信息
    private HotelStar star; //酒店星级
}
