package com.qls.web.modules.sys.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@NoArgsConstructor
@AllArgsConstructor
@Data
public class Goods implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long hotelId;
    private Long goodsId;
    private String goodsName;
    private Integer goodsStatus;
    private Integer goodsType;
    private Integer needRealTel;
    private Integer confirmType;
    private Integer invRemain;
    private Integer averagePrice;
    private Integer originalPrice;
    private Integer thirdParty;
    private List<Breakfast> breakfast;
    private List<RoomInfoList> roomInfoList;
    private List<CancelRules> cancelRules;
    private List<String> gifts;
    private List<BookRules> bookRules;
    private List<PriceModels> priceModels;
    private InvoiceInfo invoiceInfo;
    private GoodsActivityMap goodsActivityMap;
    private List<GoodsStatus> goodsStatuses;
    private String goodsLimitRule;
    private Integer timeIntervalMin;
    private Integer timeLimitMin;
    private List<String> hourRoomReceptionTime;
    private Integer paymentType;
    private String rpGuarantees;
    private String goodsSource;
    private String mtPartnerId;
    //    private ChannelNos channelNos;
    private boolean needIdentityCard;
}
