package com.qls.ali.biz;

import com.qls.feign.EnableQLSFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
 * @author doyoung
 */
@EnableDiscoveryClient
@SpringBootApplication
@EnableQLSFeignClients
public class AliApplication {
    public static void main(String[] args) {
        SpringApplication.run(AliApplication.class, args);
    }
}