package com.qls.ali.biz.data.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.ali.biz.data.vo.HtHotelVO;
import com.qls.core.entity.HtHotel;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * @author Administrator
 */
@Mapper
public interface HtHotelDao extends BaseMapper<HtHotel> {

    /**
     * 根据酒店编码获取酒店信息
     *
     * @param hotelCode
     * @return
     */
    HtHotel getHotelAll(Long hotelCode);

    /**
     * 查询酒店信息 及酒店下的所有信息
     * @param hotelCode
     * @return
     */
    HtHotelVO getHotelMapping(Long hotelCode);

}
