package com.qls.ali.biz.data.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.HtSellRoom;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author doyoung
 */
@Mapper
public interface HtSellRoomDao extends BaseMapper<HtSellRoom> {

    /**
     * 根据酒店查询酒店下的所有rpCode编码
     *
     * @param hotelCode Long
     * @return List<Long>
     */
    List<Long> getRpCodesByHotelCode(Long hotelCode);

}