package com.qls.ali.biz.order.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.ali.biz.order.entity.DtUpHtlEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;


/**
 * @author kemmy
 * @email kemmy@gmail.com
 * @date 2020-09-30 08:51:24
 */
@Mapper
public interface DtUpHtlDao extends BaseMapper<DtUpHtlEntity> {
    /**
     * 根据酒店编码 和 用户名查询分销商酒店是否开启订单直连
     *
     * @param hotelCode Long
     * @param username  String
     * @return Integer
     */
    Integer getAuto(@Param("hotelCode") Long hotelCode, @Param("username") String username);
}
