package com.qls.ali.biz.order.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * @author doyoung
 */
@Data
@TableName("dt_order_channels")
public class DtOrderChannelsEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 售卖渠道佣金比例
     */
    private Integer sellCommissionRate;
    /**
     * 下单渠道佣金比例
     */
    private Integer buyCommissionRate;
    /**
     *
     */
    private String aid;
    /**
     *
     */
    private Integer sid;
    /**
     *
     */
    private String secretKey;
    /**
     *
     */
    private String accessToken;
    /**
     * 优先级 值越小优先级越大
     */
    private String uniqueId;
    /**
     *
     */
    private String refreshToken;
    /**
     *
     */
    private Integer expiresIn;
    /**
     * 账号类型1 落地 2 直连
     */
    private Integer atype;
    /**
     *
     */
    private Date refreshTime;

}
