package com.qls.ali.biz.order.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 分销商店铺
 *
 * @author kemmy
 * @email kemmy@gmail.com
 * @date 2020-12-04 15:27:52
 */
@Data
@TableName("dt_store")
public class DtStoreEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
    @TableId
    private Integer id;
    /**
     * 名称
     */
    private String name;
    /**
     * APPKEY
     */
    private String appKey;
    /**
     * 分销商编码
     */
    private Integer dtId;
    /**
     * secret
     */
    private String secret;
    /**
     * sessionkey
     */
    private String sessionKey;
    /**
     * 所属平台
     */
    private Integer blonPlantform;
    /**
     * 接口用户
     */
    private String aliCbUser;
    /**
     * 接口用户密码
     */
    private String aliCbUserPass;

    @TableField(exist = false)
    private Long orderCode;

}
