package com.qls.ali.biz.order.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * @author kemmy
 * @email kemmy@gmail.com
 * @date 2020-09-30 08:51:24
 */
@Data
@TableName("dt_up_htl")
public class DtUpHtlEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId(type = IdType.INPUT)
    private Long id;
    /**
     * 店铺编码
     */
    private Integer storeId;

    @TableField(exist = false)
    private String storName;
    /**
     * 酒店编码
     */
    private Long hotelId;

    @TableField(exist = false)
    private String hotelName;
    /**
     *
     */
    private Integer dtId;

    @TableField(exist = false)
    private String dtName;
    /**
     *
     */
    private Integer status;

    /**
     * 是否自动下单
     */
    private Integer isAuto;


    @TableField(exist = false)
    private String address;

    @TableField(exist = false)
    private String phone;

    @TableField(exist = false)
    private String axes;

    @TableField(exist = false)
    private String axesX;

    @TableField(exist = false)
    private String axesY;

    @TableField(exist = false)
    private String starLevel;

    @TableField(exist = false)
    private String brandName;

}
