package com.qls.ali.biz.order.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 飞猪会员信息
 *
 * @author kemmy
 * @email kemmy@gmail.com
 * @date 2020-12-03 17:29:43
 */
@Data
@TableName("ord_member_info")
public class MemberInfoEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 订单编号
     */
    private Long orderCode;
    /**
     * 姓名
     */
    private String name;
    /**
     * 编号
     */
    private String num;
    /**
     * 商家会员号
     */
    private String outNum;
    /**
     * 电话号码
     */
    private String phone;
    /**
     * 电子邮件
     */
    private String email;
    /**
     * 等级
     */
    private String level;
    /**
     * 商家会员等级
     */
    private String outLevel;
    /**
     * 证件编码
     */
    private String idCard;
    /**
     * 预订人会员名
     */
    private String bookerName;
    /**
     * 预订人会员编码
     */
    private String bookerNum;
    /**
     * 预订人商家会员号
     */
    private String bookerOutNum;
    /**
     * 预订人电话号码
     */
    private String bookerPhone;
    /**
     * 预订人电子邮件
     */
    private String bookerEmail;
    /**
     * 预订人等级
     */
    private String bookerLevel;
    /**
     * 预订人商家会员等级
     */
    private String bookerOutLevel;

}
