package com.qls.ali.biz.order.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;


/**
 * @author doyoung
 */
@Data
@TableName("op_group")
public class OpGroupEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    private Integer id;
    /**
     * 名称
     */
    private String groupName;
    /**
     * 分销商编码
     */
    private Integer dtId;
    /**
     * 店铺编码
     */
    private Integer storeId;
    /**
     * 所属平台
     */
    private Integer blonPlantform;
    /**
     * 是否直连/1直连/其他不是
     */
    private Integer isDirect;
    /**
     * 房型映射字段 1 开启 0关闭
     */
    private Integer isRoomMap;

}
