package com.qls.ali.biz.order.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 礼包项目
 *
 * @author kemmy
 * @email kemmy@gmail.com
 * @date 2020-12-03 11:41:02
 */
@Data
@TableName("ord_pack_info")
public class PackInfoEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 礼包id
     */
    private Long packId;
    /**
     * 使用维度:每间 每晚 每入住人
     */
    private String dimeType;
    /**
     * 数量
     */
    private Integer quantity;
    /**
     *
     */
    private String unit;
    /**
     *
     */
    private String name;
    /**
     *
     */
    private String packType;
    private String desp;
    /**
     *
     */
    private String extensions;

}
