package com.qls.ali.biz.order.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 订单优惠信息
 *
 * @author kemmy
 * @email kemmy@gmail.com
 * @date 2020-12-03 18:14:04
 */
@Data
@TableName("ord_voucherinfo")
public class VoucherinfoEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    private Long id;
    /**
     * 订单编号
     */
    private Long orderCode;
    /**
     *
     */
    private String voucherId;
    /**
     * 卖家优惠金额
     */
    private Integer amt;
    /**
     *
     */
    private String voucDesc;
    /**
     *
     */
    private String ruleDesc;
    /**
     *
     */
    private String outCode;
    /**
     *
     */
    private String tid;
    /**
     *
     */
    private Integer voucherNum;
    /**
     * 用户购买一张在线预约房券/代金券真实付费金额
     */
    private Integer paidFee;

}
