package com.qls.ali.biz.order.service.mybatis;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qls.core.entity.OpGroup;

/**
 * @author doyoung
 */
public interface OpGroupService extends IService<OpGroup> {

    /**
     * 根据酒店编码 和 店铺用户名查询分组的直连状态
     *
     * @param username  String
     * @param hotelCode Long
     * @return Integer
     */
    Integer getIsDirectByHotelCodeAndUsername(String username, Long hotelCode);

}

