package com.qls.ali.biz.service.mybatis.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.ali.biz.data.dao.OpOurRateplanDao;
import com.qls.ali.biz.service.mybatis.OpOurRateplanService;
import com.qls.ali.model.vo.OpOurRateplanVo;
import com.qls.core.entity.OpOurRateplan;
import com.qls.core.entity.OpOurRateplanPrice;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author yunchao
 */
@Service
public class OpOurRateplanServiceImpl extends ServiceImpl<OpOurRateplanDao, OpOurRateplan> implements OpOurRateplanService {

    @Override
    public List<OpOurRateplanVo> getRatePlanPrice(int storeId, Long upHtlId) {
        return baseMapper.getRatePlanPrice(storeId, upHtlId);
    }

    @Override
    public OpOurRateplanPrice getRatePlanPriceByOurRpId(Integer id) {
        return baseMapper.getRatePlanPriceByOurRpId(id);
    }

    @Override
    public void addCountById(Integer num, Integer id) {
        baseMapper.addCountById(num, id);
    }
}
