package com.qls.ali.model.dto.request;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * @author doyoung
 */

public class Data implements Serializable {
    private static final long serialVersionUID = 1L;

    @Getter
    @JSONField(name = "use_room_inventory")
    private boolean useRoomInventory = false;

    @Getter
    @Setter
    @JSONField(name = "inventory_price")
    private List<InventoryPrice> inventoryPrices;
}
