package com.qls.core.ali.order.cancelrq;

import com.qls.core.ali.order.common.AuthenticationToken;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

/**
 * @author doyoung
 */
@Data
@XStreamAlias("CancelRQ")
public class CancelRq {
    @XStreamAlias("AuthenticationToken")
    private AuthenticationToken authenticationToken;
    @XStreamAlias("TaoBaoOrderId")
    private String taoBaoOrderId;
    @XStreamAlias("OrderId")
    private Integer orderId;
    @XStreamAlias("HotelId")
    private String hotelId;
    @XStreamAlias("Reason")
    private String reason;
    @XStreamAlias("HardCancel")
    private String hardCancel;
    private String buyOrderCode;
}
