package com.qls.core.ali.order.common;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

import java.io.Serializable;

/**
 * @author doyoung
 */
@Data
@XStreamAlias("DailyInfo")
public class DailyInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    @XStreamAlias("Day")
    private String day;
    @XStreamAlias("Price")
    private Integer price;
    @XStreamAlias("BreakFast")
    private Integer breakFast;
    @XStreamAlias("GiftInfo")
    private String giftInfo;
    private Integer subPrice;
}
