package com.qls.core.ali.order.manuorder;

import lombok.Data;

import java.io.Serializable;

/**
 * 入住人信息
 *
 * @author kemmy
 * @email kemmy@gmail.com
 * @date 2020-12-03 11:41:02
 */
@Data
public class Guest implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Long id;
    /**
     * 订单编号
     */
    private Long orderCode;
    /**
     * 名称
     */
    private String name;
    /**
     * 房间序号
     */
    private Integer roomPos;
    /**
     * 证件类型：1.身份证;2.军人证;3.护照
     */
    private Integer idType;
    /**
     * 入住人证件号码
     */
    private String idCode;

}
