package com.qls.core.ali.order.orderrefundrq.request;

import com.qls.core.ali.order.common.AuthenticationToken;
import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

/**
 * @author doyoung
 */
@Data
@XStreamAlias("OrderRefundRQ")
public class OrderRefundRq {
    @XStreamAlias("AuthenticationToken")
    private AuthenticationToken authenticationToken;
    @XStreamAlias("OrderId")
    private String orderId;
    @XStreamAlias("TaoBaoOrderId")
    private String taoBaoOrderId;
    @XStreamAlias("Shipped")
    private Boolean shipped;
}
