package com.qls.core.ali.order.querystatusrq.response;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

/**
 * @author doyoung
 */
@Data
@XStreamAlias("Result")
public class QueryStatusRqResult {
    @XStreamAlias("Message")
    private String message;
    @XStreamAlias("ResultCode")
    private String resultCode;
    @XStreamAlias("Status")
    private String status;
    @XStreamAlias("OrderId")
    private String orderId;
    @XStreamAlias("TaoBaoOrderId")
    private String taoBaoOrderId;
    @XStreamAlias("PmsResID")
    private String pmsResId;
    @XStreamAlias("Comment")
    private String comment;
    @XStreamAlias("TotalRoomPrice")
    private String totalRoomPrice;
    @XStreamAlias("OtherFee")
    private String otherFee;
    @XStreamAlias("OrderInfo")
    private QueryStatusRqOrderInfo queryStatusRqOrderInfo;
    @XStreamAlias("BillInfo")
    private QueryStatusRqBillInfo queryStatusRqBillInfo;
}
