package com.qls.core.ali.order.validaterq.response;

import com.thoughtworks.xstream.annotations.XStreamAlias;
import lombok.Data;

import java.io.Serializable;

/**
 * @author doyoung
 */
@Data
@XStreamAlias("Result")
public class ValidateRqResult implements Serializable {
    private static final long serialVersionUID = 1L;
    @XStreamAlias("Message")
    private String message;
    /**
     * 1 携程 2 美团 3 人工下线 4 其他
     */
    @XStreamAlias("CreateOrderValidateKey")
    private String createOrderValidateKey;
    @XStreamAlias("ResultCode")
    private String resultCode;
    @XStreamAlias("InventoryPrice")
    private String inventoryPrice;
    @XStreamAlias("CurrencyCode")
    private String currencyCode = "CNY";
}
