package com.qls.core.dto;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author doyoung
 */
@Data
@ToString
public class PushRpBody implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * rp编码
     */
    private Long rpCode;

    /**
     * 任务id
     */
    private Integer taskId;

    /**
     * 自定义rpId集合
     */
    private List<Integer> crpIds;

    /**
     * 任务类型 -1 删除 1 更新或增加
     */
    private Integer type;

    /**
     * 店铺id
     */
    private Integer storeId;

    /**
     * 删除不需要
     */
    private Integer partnerId;

}
