package com.qls.core.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;

/**
 * 飞猪标准酒店房型
 *
 * @author zhouyu
 */
@Data
public class HtAliRoom implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @JSONField(name = "id")
    private Long id;
    /**
     * 店铺id
     */
    @JSONField(name = "store_id")
    private Integer storeId;
    /**
     * 阿里标准房型id
     */
    @JSONField(name = "srid")
    private Long srid;
    /**
     * 美团房型code
     */
    @JSONField(name = "room_code")
    private Long roomCode;
    /**
     * 飞猪后台房型id
     */
    @JSONField(name = "rid")
    private Long rid;
    /**
     * 阿里标准房型名称
     */
    @JSONField(name = "name")
    private String name;
    /**
     * 阿里标准房型英文名称
     */
    @JSONField(name = "name_e")
    private String nameE;
    /**
     * 阿里标准房型床型
     */
    @JSONField(name = "bed_type")
    private String bedType;
    /**
     * 阿里标准房型面积
     */
    @JSONField(name = "area")
    private String area;
    /**
     * 飞猪后台房型id
     */
    @JSONField(name = "window_type")
    private Integer windowType;
}
