package com.qls.core.entity;


import lombok.Data;

import java.io.Serializable;

/**
 * @author doyoung
 */
@Data
public class HtHotel implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private Long id;
    /**
     * 酒店编码
     */
    private Long hotelCode;
    /**
     * 酒店名称
     */
    private String hotelName;
    /**
     * 酒店地址
     */
    private String address;
    /**
     * 所属省份编码
     */
    private Integer province;
    /**
     * 行政区 编码
     */
    private Integer district;
    /**
     * 酒店所在城市编码
     */
    private Integer city;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 酒店营业状态 0正常 -1删除 -2停售
     */
    private Integer hotelStatus;
    /**
     * 美团账号
     */
    private Integer partnerId;
    /**
     * 是否已经匹配
     */
    private Integer isHotelMatch;
    /**
     *
     */
    private Long shid;
    /**
     * 阿里酒店名称
     */
    private String hotelNameAli;

}
