package com.qls.core.entity;


import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * @author doyoung
 */
@Data
public class OpTaskStatus implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Integer id;
    /**
     * 任务名称
     */
    private String taskName;
    /**
     * 任务编码
     */
    private Integer taskCode;
    /**
     * 总数
     */
    private Integer total;
    /**
     * 已完成数
     */
    private Integer completed;
    /**
     * 分销商ID
     */
    private Integer dtId;
    /**
     * 任务创建时间
     */
    private Date startTime;
    /**
     * 完成任务时间
     */
    private Date endTime;

}
