package com.qls.core.entity;


import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * @author doyoung
 */
@Data

public class OrdBuyOrder implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */

    private Long id;
    /**
     * 采购单单号
     */
    private String buyOrderId;
    /**
     * 入住时间
     */
    private Date checkInDate;
    /**
     * 离店日期
     */
    private Date checkOutDate;
    /**
     * 分销商城价格计划id
     */
    private Long rateplanCode;
    /**
     * 分销商城房型id
     */
    private Long roomCode;
    /**
     * OTA酒店id，即第三方系统中的酒店id
     */
    private Long hotelCode;

}
