package com.qls.core.entity;


import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
 * @author doyoung
 */
@Data

public class OrdChanel implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */

    private Integer id;
    /**
     * 订单号
     */
    private String orderId;
    /**
     * 酒店
     */
    private String hotelCode;
    /**
     * 产品
     */
    private String roomCode;
    /**
     *
     */
    private String rpCode;
    /**
     *
     */
    private Integer price;
    /**
     * 联系人姓名
     */
    private String contactName;
    /**
     * 联系人电话号码
     */
    private String phone;
    /**
     *
     */
    private String email;
    /**
     * 最晚到店时间
     */
    private Date latestTime;
    /**
     *
     */
    private String moneyType;
    /**
     *
     */
    private String earlistTime;
    /**
     * 入住日期
     */
    private Date checkInDate;
    /**
     * 离店日期
     */
    private Date checkOutDate;
    /**
     * 预订间数
     */
    private Integer roomNum;
    /**
     * 订单总价
     */
    private Integer orderPrice;
    /**
     * 结算价
     */
    private Integer settlementPrice;
    /**
     * 分销商订单ID
     */
    private String dtId;
    /**
     * 备注
     */
    private String note;
    /**
     * 身份证号
     */
    private String idCard;
    /**
     * 是否需要第三方开发票
     */
    private Integer isThreeInvoice;
    /**
     * 发票
     */
    private String invoice;
    /**
     * 状态
     */
    private Integer status;
    /**
     *
     */
    private String transactionIdentifier;

}
