package com.qls.basic.api.fallback;

import com.qls.basic.api.ConsumerRemoteService;
import com.qls.core.utils.R;
import org.springframework.stereotype.Component;

import java.util.Map;


/**
 * @author doyoung
 */
@Component
public class ConsumerRemoteServiceFallback implements ConsumerRemoteService {
    @Override
    public R create(Map<String, Object> params) {
        return null;
    }

    @Override
    public R destroy(Map<String, Object> params) {
        return null;
    }
}
