package com.qls.consumer.biz;


import com.qls.feign.EnableQLSFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;


/**
 * @author doyoung
 */
@EnableDiscoveryClient
@SpringBootApplication
@EnableQLSFeignClients
public class ConsumerBasicApplication {

    public static void main(String[] args) {
        SpringApplication.run(ConsumerBasicApplication.class, args);
    }

}
