package com.qls.consumer.store;

import com.qls.feign.EnableQLSFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

/**
 * @author doyoung
 */
@EnableDiscoveryClient
@SpringBootApplication
@EnableQLSFeignClients
public class ConsumerStoreApplication {

    public static void main(String[] args) {
        SpringApplication.run(ConsumerStoreApplication.class, args);
    }

}
