package com.qls.consumer.store.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.OpTaskStatus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;


/**
 * @author Administrator
 */

@Mapper
public interface OpTaskStatusMapper extends BaseMapper<OpTaskStatus> {

    /**
     * 任务结束更新时间
     *
     * @param taskCode Integer
     * @param endTime  Date
     */
    void updateByTaskCode(@Param("taskCode") Integer taskCode, @Param("endTime") Date endTime);

    /**
     * 任务执行的数量
     *
     * @param taskCode Integer
     * @param num      Integer
     */
    void completedAdd(@Param("taskCode") Integer taskCode, @Param("num") Integer num);


}