package com.qls.consumer.store.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.consumer.store.dao.OpTaskStatusMapper;
import com.qls.consumer.store.service.OpTaskStatusService;
import com.qls.core.entity.OpTaskStatus;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * @author doyoung
 */
@Service
public class OpTaskStatusServiceImpl extends ServiceImpl<OpTaskStatusMapper, OpTaskStatus> implements OpTaskStatusService {

    @Override
    public void updateByTaskCode(Integer taskCode, Date endTime) {
        baseMapper.updateByTaskCode(taskCode, endTime);
    }

    @Override
    public void completedAdd(Integer taskCode, Integer num) {
        baseMapper.completedAdd(taskCode, num);
    }

}
