package com.qls.mt.biz.data.pojo;

import com.qls.core.utils.DateUtils;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
public class RatesPriceInnerToDto {
    private List<Long> hotelIds;
    private String startDate;
    private String endDate;

    public RatesPriceInnerToDto() {
    }

    public RatesPriceInnerToDto(Long hotelId) {
        Date dateToday = new Date();
        Date dateOther = DateUtils.addDateDays(dateToday, 30);
        String strDateToday = DateUtils.format(dateToday, DateUtils.DATE_PATTERN);
        String strDateOther = DateUtils.format(dateOther, DateUtils.DATE_PATTERN);
        this.startDate = strDateToday;
        this.endDate = strDateOther;
        List<Long> list = new ArrayList<>();
        list.add(hotelId);
        this.hotelIds = list;
    }

}
