package com.qls.mt.biz.data.pojo;

import com.qls.core.utils.DateUtils;
import lombok.Data;

import java.util.Date;

/**
 * @author doyoung
 */
@Data
public class RatesStatusInnerToDto {
    private Long hotelId;
    private String checkinDate;
    private String checkoutDate;
    private Integer goodsType = 1;

    public RatesStatusInnerToDto() {
    }

    public RatesStatusInnerToDto(Long hotelId) {
        Date dateToday = new Date();
        Date dateOther = DateUtils.addDateDays(dateToday, 30);
        String strDateToday = DateUtils.format(dateToday, DateUtils.DATE_PATTERN);
        String strDateOther = DateUtils.format(dateOther, DateUtils.DATE_PATTERN);
        this.checkinDate = strDateToday;
        this.checkoutDate = strDateOther;
        this.hotelId = hotelId;
    }
}
