package com.qls.mt.biz.data.pojo.hotel;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class HotelAddress implements Serializable {
    private static final long serialVersionUID = 1L;
    private HotelCountry country; // 国家信息
    private HotelProvince province; //酒店所在省份，海外酒店返回空
    private HotelCity city; //酒店所在城市
    private HotelArea area; //酒店所在城市行政区名，如“松江区”，海外酒店返回空
    private List<HotelBusinessDistricts> businessDistricts; //酒店所在的商圈
    private List<HotelCoordinates> coordinates; //酒店的经纬度信
    private HotelAddressLine addressLine; //酒店详细地址
}