package com.qls.mt.biz.data.pojo.hotel;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

@NoArgsConstructor
@AllArgsConstructor
@Data
public class HotelDetails implements Serializable {
    private static final long serialVersionUID = 1L;
    private BaseInfo baseInfo; //	HotelBaseInfo	否	酒店基本信息。
    private DetailInfo detailInfo; //	DetailInfo	是	酒店详细信息，包括开业时间、品牌、评分、主题等信息。
//    private ExtendInfo extendInfo; //	HotelExtendInfo	否	酒店扩展信息。
    private List<PoiImage> poiImages; //	Array<PoiImage>	否	酒店图片信息。
    private Long hotelId;
}
