package com.qls.mt.biz.data.pojo.room;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RealRoomBaseInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    private Long realRoomId;
    private Integer roomType;
    private String roomName;
    private String roomDesc;
    private String useableArea;
    private String capacity;
    private Integer window;
    private String windowView;
    private String windowBad;
    private Integer extraBed;
    private String floor;
    private Integer internetWay;
    private Integer status;
    private String childCapacity;
}
