package com.qls.mt.module.callback;

import java.util.List;

/**
 * 酒店变更信息
 * @author doyoung
 */
public class HotelChangeMessage {

    /**
     * 变化的酒店id
     */
    private Long hotelId;

    /**
     * 变化的酒店类型
     */
    private List<Integer> changeTypes;

    public Long getHotelId() {
        return hotelId;
    }

    public void setHotelId(Long hotelId) {
        this.hotelId = hotelId;
    }

    public List<Integer> getChangeTypes() {
        return changeTypes;
    }

    public void setChangeTypes(List<Integer> changeTypes) {
        this.changeTypes = changeTypes;
    }


    @Override
    public String toString() {
        return "HotelChangeMessage{" +
                "hotelId=" + hotelId +
                ", changeTypes=" + changeTypes +
                '}';
    }
}
