package com.qls.mt.module.callback;

import lombok.Data;
import lombok.ToString;

import java.util.List;

/**
 * @author doyoung
 */
@Data
@ToString
public class PoiChangeInfo {

    /**
     * 变更的酒店
     */
    private Long hotelId;

    /**
     * 变更类型
     * 1：酒店上线
     *
     * 2：酒店下线
     *
     * 3：酒店基本信息
     *
     * 4：酒店详情信息
     *
     * 5：酒店政策信息
     *
     * 6：酒店设施信息
     *
     * 7：酒店图片信息
     *
     * 8：酒店通知信息
     *
     * 9：酒店房型信息
     */
    private List<Integer> changeTypes;

}
