package com.qls.web.modules.dt.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.DtDt;
import com.qls.web.modules.vo.DtVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 分销商
 *
 * @author doyoung
 */
@Mapper
public interface DtDao extends BaseMapper<DtDt> {

    /**
     * 分销商名字模糊查询
     *
     * @param params Map<String, Object>
     * @return List<DtVO>
     */
    List<DtVO> sqlQueryDt(Map<String, Object> params);

}
