package com.qls.web.modules.dt.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.DtStore;
import com.qls.web.modules.vo.StoreVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 分销商店铺
 *
 * @author yj
 * @email yj@gmail.com
 * @date 2021-09-04 11:21:52
 */
@Mapper
public interface StoreDao extends BaseMapper<DtStore> {

    List<DtStore> getStoreIds();

    List<StoreVO> sqlQueryPage(Map<String, Object> params);

    List<DtStore> queryByDtId(Map<String, Object> params);

    DtStore getByGroupId(Integer groupId);
}
