package com.qls.web.modules.dt.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qls.core.entity.DtOrderChannels;
import com.qls.web.common.utils.PageUtils;

import java.util.List;
import java.util.Map;


/**
 * @author doyoung
 */
public interface DtOrderChannelsService extends IService<DtOrderChannels> {

    /**
     * 查询优先级是否重复
     *
     * @param priority Integer
     * @return Integer
     */
    Integer getPriorityCount(Integer priority);

    PageUtils queryPage(Map<String, Object> params);

    List<DtOrderChannels> getByChannel();

    DtOrderChannels getByStoreId(Integer storeId);

    DtOrderChannels getByStoreIdAndChanel(Integer storeId, Integer chanel);

    DtOrderChannels getCommissionRate();
}

