package com.qls.web.modules.dt.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qls.core.entity.DtStore;
import com.qls.web.common.utils.PageUtils;

import java.util.List;
import java.util.Map;

/**
 * 分销商店铺
 *
 * @author yj
 * @email yj@gmail.com
 * @date 2021-09-04 11:21:52
 */
public interface StoreService extends IService<DtStore> {

    List<DtStore> getStoreIds();

    PageUtils queryPage(Map<String, Object> params);

    PageUtils sqlQueryPage(Map<String, Object> params);

    List<DtStore> queryByDtId(Map<String, Object> params);

    DtStore getByGroupId(Integer groupId);
}

