package com.qls.web.modules.ht.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.HtHotel;
import com.qls.web.modules.vo.HotelCityVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


/**
 * @author doyoung
 */
@Mapper
public interface HtHotelinfoDao extends BaseMapper<HtHotel> {

    /**
     * 城市关联查询酒店信息
     *
     * @param params Map<String, Object>
     * @return List<HtHotel>
     */
    List<HotelCityVO> sqlQueryPage(Map<String, Object> params);
}
