package com.qls.web.modules.ht.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.HtSellRoom;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author yj
 * @email yj@gmail.com
 * @date 2021-08-25 10:50:46
 */
@Mapper
public interface HtLogicRoomDao extends BaseMapper<HtSellRoom> {

    List<Long> getRpCodesByName(String name);

    List<HtSellRoom> getByHotelId(Long hotelId);

    List<HtSellRoom> getRpByRoomCode(Long roomCode);

    HtSellRoom getRpByRpCode(Long rpCode);

    /**
     * 根据分组id查询分组下酒店的所有rp
     *
     * @param id Integer
     * @return List<Long>
     */
    List<Long> queryRpCodesByGroup(Integer id);

}
