package com.qls.web.modules.op.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.OpGroup;
import com.qls.web.modules.vo.GroupVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 分组
 *
 * @author yj
 * @email yj@gmail.com
 * @date 2021-08-31 10:42:11
 */
@Mapper
public interface GroupDao extends BaseMapper<OpGroup> {
    /**
     * 主键查询
     *
     * @param id Integer
     * @return GroupDao
     */
    OpGroup queryStoreIdById(Integer id);

    /**
     * 关联查询分组信息
     *
     * @param params Map<String, Object>
     * @return List<GroupVO>
     */
    List<GroupVO> sqlQueryPage(Map<String, Object> params);

    OpGroup getAll();

    List<OpGroup> querygpByStoreId(Map<String, Object> params);

    List<OpGroup> sqlQuery(Map<String, Object> params);
}
