package com.qls.web.modules.op.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.OpOurRateplan;
import com.qls.web.modules.vo.RateplanVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


/**
 * @author doyoung
 */
@Mapper
public interface OurRateplanDao extends BaseMapper<OpOurRateplan> {
    List<RateplanVO> sqlQueryPage(Map<String, Object> params);

    /**
     * 根据分组查询分组下的 自定义价格政策id
     *
     * @param groupId Integer
     * @return List<Integer>
     */
    List<Integer> queryIdByGroupId(Integer groupId);
}
