package com.qls.web.modules.op.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qls.core.entity.OpTaskStatus;
import com.qls.web.modules.vo.TaskVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * 任务状态表（前端与服务交互）
 *
 * @author yj
 * @email yj@gmail.com
 * @date 2021-08-26 17:34:02
 */
@Mapper
public interface TaskStatusDao extends BaseMapper<OpTaskStatus> {

    List<TaskVO> sqlQueryPage(Map<String, Object> params);

    int isExcuting(String taskCode);
}
