package com.qls.web.modules.op.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qls.core.entity.OpOurRateplan;
import com.qls.web.common.utils.PageUtils;

import java.util.List;
import java.util.Map;


/**
 * @author doyoung
 */
public interface OurRateplanService extends IService<OpOurRateplan> {

    PageUtils sqlQueryPage(Map<String, Object> params);

    /**
     * 根据分组查询分组下的 自定义价格政策id
     *
     * @param groupId Integer
     * @return List<Integer>
     */
    List<Integer> queryIdByGroupId(Integer groupId);

}

