package com.qls.web.modules.op.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qls.core.entity.OpTaskStatus;
import com.qls.web.common.utils.PageUtils;

import java.util.Map;

/**
 * 任务状态表（前端与服务交互）
 *
 * @author yj
 * @email yj@gmail.com
 * @date 2021-08-26 17:34:02
 */
public interface TaskStatusService extends IService<OpTaskStatus> {

    PageUtils queryPage(Map<String, Object> params);

    int isExcuting(String taskCode);
}

