package com.qls.web.modules.ord.entity;

import cn.hutool.core.date.DateUtil;
import com.alibaba.excel.annotation.ExcelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

//订单报表返回实体类
@Data
public class orderReportFormVO {

    //店铺
    @ExcelProperty(value = "店铺", index = 0)
    private String groupName;
    //创建时间
    @ExcelProperty(value = "订购日期", index = 1)
    private String orderDate;
    //飞猪订单号
    @ExcelProperty(value = "飞猪订单号", index = 2)
    private String orderCode;
    //创建时间
    @ExcelProperty(value = "订单创建时间", index = 3)
    private String orderTime;
    //付款金额
    @ExcelProperty(value = "付款金额", index = 4)
    private Double payPrice;
    //采购价
    @ExcelProperty(value = "采购价", index = 5)
    private Double buyOrderPrice;
    //毛利
    @ExcelProperty(value = "毛利", index = 6)
    private Double grossProfit;
    //毛利率
    @ExcelProperty(value = "毛利率", index = 7)
    private Double grossProfitMargin;
    //酒店名称
    @ExcelProperty(value = "酒店名称", index = 8)
    private String hotelName;
    //间夜数
    @ExcelProperty(value = "间夜数", index = 9)
    private Integer roomNum;
    //入住日期
    @ExcelProperty(value = "入住日期", index = 10)
    private String checkInDate;
    //离店日期
    @ExcelProperty(value = "离店日期", index = 11)
    private String checkOutDate;
    //订单入住人信息
    @ExcelProperty(value = "离店日期", index = 12)
    private String name;
    //城市
    @ExcelProperty(value = "城市", index = 13)
    private String city;
    //订单状态
    @ExcelProperty(value = "订单状态", index = 14)
    private String orderStatus;
    //采购状态
    @ExcelProperty(value = "采购状态", index = 15)
    private String buyStatus;
    //来单渠道
    @ExcelProperty(value = "来单渠道", index = 16)
    private String plantfrom;

//    public void setOrderTime(Date orderTime) {
//        this.orderTime = DateUtil.format(orderTime, "yyyy-MM-dd");
//    }

    public void setOrderDate(Date orderDate) {
        this.orderDate = DateUtil.format(orderDate, "yyyy-MM-dd");
    }

    public void setCheckInDate(Date checkInDate) {
        this.checkInDate = DateUtil.format(checkInDate, "yyyy-MM-dd");
    }

    public void setCheckOutDate(Date checkOutDate) {
        this.checkOutDate = DateUtil.format(checkOutDate, "yyyy-MM-dd");
    }
}
