package com.qls.web.modules.ord.service;

import com.qls.core.utils.R;

import java.util.List;
import java.util.Map;

/**
 * @author doyoung
 */
public interface OrderDealService {

    /**
     * 查询价态（美团/携程）
     *
     * @param id
     * @return
     */
    List<Map<String, Object>> getRatesList(Integer id);

    /**
     * 跟单 （其他账号无法下单）
     *
     * @param userId
     * @param id
     * @param username
     * @return
     */
    R getLock(Integer userId, Long id, String username);

    /**
     * 自采渠道下单（不走订单直连）
     *
     * @param id
     * @param userId
     * @param optType
     * @param status
     * @return
     */
    R buyOther(Long id, Long userId, Integer optType, Integer status, Integer price, String orderCodeOther);

}
