package com.qls.web.modules.ord.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.OrdCreditCardInfo;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.ord.dao.OrdCreditCardInfoDao;
import com.qls.web.modules.ord.service.OrdCreditCardInfoService;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * @author doyoung
 */
@Service("ordCreditCardInfoService")
public class OrdCreditCardInfoServiceImpl extends ServiceImpl<OrdCreditCardInfoDao, OrdCreditCardInfo> implements OrdCreditCardInfoService {


    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<OrdCreditCardInfo> page = this.page(
                new Query<OrdCreditCardInfo>().getPage(params),
                new QueryWrapper<OrdCreditCardInfo>()
        );

        return new PageUtils(page);
    }

}