package com.qls.web.modules.ord.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.OrdDailyOriInfo;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.ord.dao.OrdDailyOriInfoDao;
import com.qls.web.modules.ord.service.OrdDailyOriInfoService;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * @author doyoung
 */
@Service("ordDailyOriInfoService")
public class OrdDailyOriInfoServiceImpl extends ServiceImpl<OrdDailyOriInfoDao, OrdDailyOriInfo> implements OrdDailyOriInfoService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<OrdDailyOriInfo> page = this.page(
                new Query<OrdDailyOriInfo>().getPage(params),
                new QueryWrapper<OrdDailyOriInfo>()
        );

        return new PageUtils(page);
    }

}