package com.qls.web.modules.ord.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.OrdInvoiceInfo;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.ord.dao.OrdInvoiceInfoDao;
import com.qls.web.modules.ord.service.OrdInvoiceInfoService;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * @author doyoung
 */
@Service("ordInvoiceInfoService")
public class OrdInvoiceInfoServiceImpl extends ServiceImpl<OrdInvoiceInfoDao, OrdInvoiceInfo> implements OrdInvoiceInfoService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<OrdInvoiceInfo> page = this.page(
                new Query<OrdInvoiceInfo>().getPage(params),
                new QueryWrapper<OrdInvoiceInfo>()
        );

        return new PageUtils(page);
    }

    @Override
    public OrdInvoiceInfo getByOrdCode(Long orderCode) {
        return baseMapper.getByOrdCode(orderCode);
    }

}