package com.qls.web.modules.ord.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.OrdMemberInfo;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.ord.dao.OrdMemberInfoDao;
import com.qls.web.modules.ord.service.OrdMemberInfoService;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * @author doyoung
 */
@Service("ordMemberInfoService")
public class OrdMemberInfoServiceImpl extends ServiceImpl<OrdMemberInfoDao, OrdMemberInfo> implements OrdMemberInfoService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<OrdMemberInfo> page = this.page(
                new Query<OrdMemberInfo>().getPage(params),
                new QueryWrapper<OrdMemberInfo>()
        );

        return new PageUtils(page);
    }

}