package com.qls.web.modules.ord.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.core.entity.OrdWorkOrder;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.ord.dao.OrdWorkOrderDao;
import com.qls.web.modules.ord.service.OrdWorkOrderService;
import org.springframework.stereotype.Service;

import java.util.Map;


/**
 * @author doyoung
 */
@Service("ordWorkOrderService")
public class OrdWorkOrderServiceImpl extends ServiceImpl<OrdWorkOrderDao, OrdWorkOrder> implements OrdWorkOrderService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<OrdWorkOrder> page = this.page(
                new Query<OrdWorkOrder>().getPage(params),
                new QueryWrapper<OrdWorkOrder>()
        );

        return new PageUtils(page);
    }

}