package com.qls.web.modules.sys.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class BaseInfo implements Serializable {
    private static final long serialVersionUID = 1L;

    private String name; //酒店英文名称
    private String nameEn; //酒店英文名称
    private HotelAddress address; //酒店位置信息, 酒店所在城市、省份、行政区、经纬度、详细地址信息等
    private String phone; //酒店联系电话
    private Boolean bookable; //酒店是否可订。false:不可订，true:可订
//    private Long hotelId;           //	Long	是	酒店ID。
//    private String pointName;       //	String	是	酒店名称。
//    private String info;            //	String	否	酒店描述信息。
//    private Integer longitude;      //	Integer	是	高德经度，取值为实际经度值*10的6次方取整。
//    private Integer latitude;       //	Integer	是	高德纬度，取值为实际纬度值*10的6次方取整。
//    private String address;         //	String	是	酒店地址。
//    private String cityName;        //	String	是	酒店所在城市名，如“上海市”。
//    private Integer cityId;
//    private Integer cityLocationId; //	Integer	是	城市ID与城市名、城市行政区ID与行政区名的映射关系列表请联系分销平台获取。
//    private String locationName;    //	String	是	酒店所在城市行政区名，如“松江区”。
//    private Integer locationId;     //	Integer	是	城市行政区ID。
//    private String bareaName;       //	String	否	酒店所在商圈名。
//    private Integer avgScore;       //	Integer	否	用户评分，10分制，取值为实际值*10。如用户评分为4.2分，则avgScore=42。
//    private String phone;           //	String	是	酒店联系电话。
//    private String openInfo;        //	String	否	酒店填写的营业时间，无固定格式，如取值可以为“24小时”。
//    private Integer closeStatus;    //  Integer	是	酒店营业状态： 0 营业中 1 已关门 2 筹建中 3 暂停营业
//    private String frontImage;      //	String	否	首图信息，取值为图片的URL地址。
//    private Integer brandId;        //	Integer	否	品牌id。
//    private String brandName;       //	String	否	品牌名称。
}
