package com.qls.web.modules.sys.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.qls.web.common.utils.PageUtils;
import com.qls.web.common.utils.Query;
import com.qls.web.modules.sys.dao.ApiUserDao;
import com.qls.web.modules.sys.entity.ApiUserEntity;
import com.qls.web.modules.sys.service.ApiUserService;
import org.springframework.stereotype.Service;

import java.util.Map;


@Service("apiUserService")
public class ApiUserServiceImpl extends ServiceImpl<ApiUserDao, ApiUserEntity> implements ApiUserService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<ApiUserEntity> page = this.page(
                new Query<ApiUserEntity>().getPage(params),
                new QueryWrapper<ApiUserEntity>()
        );

        return new PageUtils(page);
    }

}